/*********************************************************************
 *  SPDX-License-Identifier: MIT                                     *
 *  Copyright (C) 2010-2022 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of qaplay.                                     *
 *********************************************************************/
#ifndef _STRUCTS_H_
#define _STRUCTS_H_

#include <QString>

struct StrSongInfo {
	QString sArtist;
	QString sTitle;
	QString sAlbum;
	QString sYear;
	QString sComment;
	QString sTrack;
	QString sGenre;
	QString sLength;	
	QString sBitRate;
	QString sChannels;
	QString sCodec;
};

struct StrM3u {
	QString sSec;			// song length in seconds
	QString sSongName;		// song name
	QString sSongPathName;	// song path and name (path might be relative)
};

#endif  // _STRUCTS_H_
